Package com.enonic.xp.exception

## Class BaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.enonic.xp.exception.BaseException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `AuthenticationException`, `ContentAccessException`, `ContentDataValidationException`, `ForbiddenAccessException`, `IdProviderAlreadyExistsException`, `IdProviderNotFoundException`, `InitializationException`, `NodeAccessException`, `NotFoundException`, `PrincipalAlreadyExistsException`, `PrincipalNotFoundException`, `ResourceProblemException`, `SystemException`, `TaskNotFoundException`, `XmlException`

      @PublicApi
      public abstract class BaseException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseException​(String message)` |
    `BaseException​(String message, Object... args)` | Deprecated.
    `BaseException​(Throwable t, String message)` |
    `BaseException​(Throwable cause, String message, Object... args)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCode()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseException

          public BaseException​(String message)

    - #### BaseException

          public BaseException​(Throwable t,
                               String message)

    - #### BaseException

          @Deprecated
          public BaseException​(String message,
                               Object... args)

      Deprecated.

    - #### BaseException

          @Deprecated
          public BaseException​(Throwable cause,
                               String message,
                               Object... args)

      Deprecated.

  - ### Method Detail

    - #### getCode

          public String getCode()